+++ /dev/null
-s!ensc@kosh.ultra.csn.tu-chemnitz.de!enrico.scholz@informatik.tu-chemnitz.de!g
--- /dev/null
+default: all
+
+all:
+ aclocal -I m4
+ autoheader
+ libtoolize --force --copy --automake
+ automake -afc
+ autoconf
+ rm -rf autom4te.cache/
+
ENSC_UV_VROOTDIR(vserverdir)
-ENSC_CHANGELOG([trunk])
+ENSC_CHANGELOG
dnl ##########################
+++ /dev/null
-.manifest.dat.pathsubst.stamp
-manifest.dat
+++ /dev/null
-ensc:Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
+++ /dev/null
-Makefile
-Makefile.in
+++ /dev/null
-compatibility.html
-configuration.html
+++ /dev/null
-.deps
-.dirstamp
-.libs
-*.lo
+++ /dev/null
-.deps
-.dirstamp
+++ /dev/null
-.deps
-.dirstamp
-.libs
-test1
-test2
+++ /dev/null
-*.la
-*.lo
-.buexcl
-.deps
-.dirstamp
-.libs
-util-vserver.pc
+++ /dev/null
-.apidoc
-Doxyfile
-html
-latex
-man
+++ /dev/null
-.deps
-.dirstamp
-.gdb_history
-.libs
-cflags
-flags
-fmt
-parselimit
-personality
+++ /dev/null
-.deps
-.dirstamp
+++ /dev/null
-.deps
-.dirstamp
-.libs
-.libs
-.nfs0*
-command
-copy
-filecfg-ml
-isnumber
-isnumber-gnu
-sigbus
-sigbus-gnu
ChangeLog.sed:
test "$(srcdir)" != "."
-if HAVE_CVS2CL
+if HAVE_SVN2CL
ChangeLog: Makefile
- if test "$(srcdir)" = "." -a -d CVS; then \
- $(CVS2CL) $(CVS2CL_ALLFLAGS) -f $@; \
+ if test "$(srcdir)" = "." -a -d .svn; then \
+ $(SVN2CL) -o $@; \
fi
-else
-if HAVE_RCS2LOG
-ChangeLog: ChangeLog.sed Makefile
- if test "$(srcdir)" = "." -a -d CVS; then \
- $(RCS2LOG) -l 0 -c /dev/stdout | sed -f $< >$@; \
- fi
-endif
endif
.PHONY: ChangeLog
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-dnl Usage: ENSC_CHANGELOG(<CVS_TAG>)
+dnl Usage: ENSC_CHANGELOG()
AC_DEFUN([ENSC_CHANGELOG],
[
- if test x"$1" != x; then
- AC_SUBST(CVS2CL_TAG, ['-F $1'])
- fi
-
- AC_CHECK_PROGS(CVS2CL, [cvs2cl])
- AM_CONDITIONAL(HAVE_CVS2CL, [test x"$CVS2CL" != x])
-
- AC_CHECK_PROGS(RCS2LOG, [rcs2log])
- AM_CONDITIONAL(HAVE_RCS2LOG, [test x"$RCS2LOG" != x])
+ AC_CHECK_PROGS(SVN2CL, [svn2cl])
+ AM_CONDITIONAL(HAVE_SVN2CL, [test x"$SVN2CL" != x])
])
--- /dev/null
+#!/bin/bash
+
+proj="util-vserver"
+svnroot="http://svn.linux-vserver.org/svn/${proj}"
+
+usage() {
+ echo "Usage: mkrelease"
+}
+
+die() {
+ echo $1
+ exit ${2:-1}
+}
+
+ver=`grep AC_INIT configure.ac | awk '{ print $2 }'`
+ver=${ver/,}
+
+echo ">>> create release tag"
+
+#svn copy ${svnroot}/trunk ${svnroot}/tags/release-${ver} \
+# -m "Tagging the ${ver} release of the ${proj} project" || die "svn copy failed"
+
+
+echo ">>> bootstrap sources"
+
+make -f Makefile.svn || die "make failed"
+
+echo ">>> create release tarball"
+
+./configure || die "configure failed"
+make dist || die "make dist failed"
+
+for i in *.tar.bz2 *.tar.gz; do
+ md5sum $i > $i.md5
+done
+++ /dev/null
-.gdb_history
-.*.stamp
-util-vserver-vars
-vps
+++ /dev/null
-.vps.pathsubst.stamp
-vps
+++ /dev/null
-.buexcl
-.deps
-.dirstamp
-.gdb_history
-.libs
-capchroot
-chain-echo
-chbind
-chcontext
-chcontext-compat
-check-unixfile
-chroot-cat
-chroot-rm
-chroot-sh
-chxid
-clearenv
-enter-namespace
-exec-cd
-exec-ulimit
-fakerunlevel
-filetime
-ifspec
-keep-ctx-alive
-listdevip
-lockfile
-lsxid
-mask2prefix
-new-namespace
-parserpmdump
-pipe-sync
-readlink
-rebootmgr
-reducecap
-rpm-fake-resolver
-rpm-fake.la
-save_ctxinfo
-secure-mount
-setattr
-setctxlimit
-showattr
-showperm
-sigexec
-src_rpm_fake_la-rpm-fake.lo
-vattribute
-vbuild
-vcheck
-vcontext
-vcopy
-vdlimit
-vdu
-vfiles
-vhashify
-vkill
-vlimit
-vnamespace
-vps
-vreboot
-vrsetup
-vsched
-vschedule
-vserver-info
-vserver-stat
-vshelper-sync
-vuname
-vunify
-vwait
+++ /dev/null
-.deps
-.dirstamp
-.libs
-chbind-test
-chcontext-test
-hashcalc
-hashcalc-plain
-rpm-fake-test
-vunify-functest
+++ /dev/null
-rebootmgr
-v_gated
-v_httpd
-v_named
-v_portmap
-v_sendmail
-v_smb
-v_sshd
-v_xinetd
-vservers
+++ /dev/null
-.deps
-.dirstamp
-.libs
-chrootsafe
-escaperoot
-forkbomb
-getctx
-getinitpid
-testipc
-testlimit
-testopenf
-vserver-info
+++ /dev/null
-.deps
-.dirstamp
-.libs
-vserver.start.bin